<?php

namespace App\Media\QuickTime\Atoms;

// Movie resource metadata about the movie (number and type of tracks, location of sample data, and so on).
// Describes where the movie data can be found and how to interpret it.

use App\Media\QuickTime\Atom;

class moov extends Atom
{
	private const subatom_classes = 'App\\Media\\QuickTime\\Atoms\\moov\\';

	public function __construct(int $offset,int $size,string $filename,?string $data) {
		parent::__construct($offset,$size,$filename);

		$this->atoms = $this->get_atoms(self::subatom_classes,Unknown::class,$offset,$size,$data);
	}
}